> ## Documentation Index
> Fetch the complete documentation index at: https://docs.adsmcp.si/llms.txt
> Use this file to discover all available pages before exploring further.

# Update a Google Ads keyword CPC bid.



## OpenAPI

````yaml /openapi.json post /api/v1/tools/update_google_keyword_bid/execute
openapi: 3.1.0
info:
  title: ADSMCP REST API
  version: 0.1.0
  description: REST facade for MCP tool execution.
servers:
  - url: https://adsmcp.si
security: []
paths:
  /api/v1/tools/update_google_keyword_bid/execute:
    post:
      tags:
        - google
      summary: Update a Google Ads keyword CPC bid.
      operationId: execute_update_google_keyword_bid
      parameters:
        - name: Authorization
          in: header
          required: true
          schema:
            type: string
          description: Bearer token
        - name: Idempotency-Key
          in: header
          required: false
          schema:
            type: string
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                platform:
                  type: string
                  default: google
                arguments:
                  type: object
                  properties:
                    account_id:
                      type: string
                    ad_group_id:
                      type: string
                    keyword_id:
                      type: string
                    cpc_bid_micros:
                      type: number
                    login_customer_id:
                      type: string
                  required:
                    - account_id
                    - ad_group_id
                    - keyword_id
                    - cpc_bid_micros
                  additionalProperties: false
              additionalProperties: false
      responses:
        '200':
          description: Tool execution result.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ExecuteToolResponse'
        '400':
          description: Invalid JSON input.
        '401':
          description: Authentication error.
      security:
        - bearerAuth: []
components:
  schemas:
    ExecuteToolResponse:
      type: object
      properties:
        ok:
          type: boolean
        platform:
          type: string
        tool:
          type: string
        data: {}
        error:
          anyOf:
            - type: 'null'
            - $ref: '#/components/schemas/ErrorResponse'
        mcp_response: {}
      required:
        - ok
        - platform
        - tool
        - error
        - mcp_response
      additionalProperties: false
    ErrorResponse:
      type: object
      properties:
        code: {}
        message:
          type: string
        details: {}
      required:
        - message
      additionalProperties: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: API token

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.